Erstellt vor 7 Jahren

Zuletzt geändert vor 5 Jahren

#1471 reopened defect

[7390] mini_fo causes segfault on init

Erstellt von: schlimmchen Verantwortlicher:
Priorität: normal Meilenstein: freetz-future
Komponente: packages Version: devel
Stichworte: Beobachter:
Product Id: 7390 Firmware Version:

Beschreibung

The following happens with mini_fo activated on startup on my 7390 with current trunk (r7522):

[...]
*** /etc/init.d/rc.mini_fo called as an init process, start setting up mini_fo root ... ***
TFFS Name Table H
Registering mini_fo version $Id$
mini_fo: using base directory: /
mini_fo: using storage directory: /sto/mini_fo
CPU 0 Unable to handle kernel paging request at virtual address 00000000, epc == c14ebcd4, ra == c14ebcc4
Oops[#1]:
Cpu 0
$ 0   : 00000000 0000002f 00000000 00000001
$ 4   : 803ce930 81121d14 0000001a 87970000
$ 8   : 0000002f 00000000 00000001 00000002
$12   : 7f8ac2f8 0049d048 0000003d 0043adc4
$16   : 87400178 8789bb5c 8789bb5c 8740c1b4
$20   : 87407e48 879da000 879da000 00000000
$24   : 00000018 80096bfc                  
$28   : 878e0000 878e3da0 7f8ac308 c14ebcc4
Hi    : 000000a5
Lo    : 60435000
epc   : c14ebcd4 mini_fo_tri_interpose+0x114/0x3e8 [mini_fo]
    Not tainted
ra    : c14ebcc4 mini_fo_tri_interpose+0x104/0x3e8 [mini_fo]
Status: 1100fc03    KERNEL EXL IE 
Cause : 00800008
BadVA : 00000000
PrId  : 0001964c (MIPS 24Kc)
Modules linked in: mini_fo
Process busybox (pid: 33, threadinfo=878e0000, task=87868038, tls=00000000)
Stack : 00000000 878e3df0 80090750 800a64c0 87970000 879da000 00008000 87970000
        00000000 87401f14 80090750 8740c1b4 879da000 c14ec1ac 8037e2a0 80410000
        8037e2b8 80410000 00000000 800791dc 00000000 00000001 c14f06c8 879da000
        87970000 87970000 00008000 879da000 c14ebfa8 80096c5c 803e82c8 00000000
        80095af4 00000000 fffffff4 8780c1a0 c14f3bd0 879fb000 00008000 80095954
        ...
Call Trace:
[<c14ebcd4>] mini_fo_tri_interpose+0x114/0x3e8 [mini_fo]
[<c14ec1ac>] mini_fo_read_super+0x204/0x2b8 [mini_fo]
[<80096c5c>] get_sb_nodev+0x60/0xc4
[<80095954>] vfs_kern_mount+0x68/0xd0
[<80095a34>] do_kern_mount+0x54/0x114
[<800acce8>] do_mount+0x690/0x70c
[<800acdf8>] sys_mount+0x94/0x18c
[<8001e1e4>] stack_done+0x20/0x3c


Code: 106000ae  00408021  8e020118 <8c420000> 10400005  3c02803d  3c04c14f  8c42a3e4  0040f809 
Segmentation fault
*** mini_fo mount failed, exiting. ***
rmmod: can't unload 'mini_fo': Resource temporarily unavailable
*** Switching to init ... ***
init started: BusyBox v1.18.5 (2011-08-24 11:09:14 CEST)
mount: mounting proc on /proc failed: Device or resource busy
tar: removing leading '/' from member names
source files in group 0 ...
[...]

For me, mini_fo is a lost candidate, it seems to cause a lot of trouble when I'm using it.

I don't have a solution, just wanted to tell (I cannot find a ticket describing this problem). Hopefully someone can reproduce this.

Anhänge (1)

.config (30.3 KB) - hinzugefügt von schlimmchen vor 7 Jahren.
used config causing the issue described

Alle Anhänge herunterladen als: .zip

Änderungshistorie (16)

Geändert vor 7 Jahren durch schlimmchen

used config causing the issue described

comment:1 Geändert vor 7 Jahren durch oliver

Unhandled kernel unaligned access[#1]:
Cpu 0
$ 0   : 00000000 00000001 00000000 00000001
$ 4   : 00000001 81127988 000024da 00000000
$ 8   : 686f6d65 87782d50 00000000 fffffff8
$12   : 00000000 83c2b130 00000120 00000000
$16   : 87974200 000024da 00000019 87974200
$20   : 80440000 0000001a 00000000 fffffff4
$24   : 00000000 00000000
$28   : 848b8000 848bbc48 00000000 8009cca8
Hi    : 00000000
Lo    : 00000000
epc   : 8009cc08 find_inode_fast+0x54/0x80
    Tainted: P
ra    : 8009cca8 iunique+0x74/0xa4
Status: 1100fc03    KERNEL EXL IE
Cause : 40800010
BadVA : 00000001
PrId  : 0001964c (MIPS 24Kc)
Modules linked in: nls_iso8859_1 nls_cp437 vfat fat kdsldmod(P) usb_storage sd_mod scsi_mod ohci_hcd ehci_hcd usbcore ramzswap lzo_compress lzo_decompress dect_io(P) avm_dect(P) capi_codec(P) isdn_fbox_fon5(P) pcmlink(P) Piglet_noemif(P) bmedrv(P) opensrc_lkm aclap_driver_lkm(P) sysKCode_lkm(P) ethdriver_lkm(P) periap_driver_lkm(P) timers_lkm(P) bmdriver_lkm(P) ap2ap_lkm(P) fusivlib_lkm(P) rtc_avm rtc_core led_modul_Fritz_Box_7390(P) mini_fo
Process wlancfgctl (pid: 1458, threadinfo=848b8000, task=86bb9258, tls=00000000)
Stack : 87892b24 8009b7b4 848bbc88 80091e0c 8740f8f4 848bbcb8 80440000 8009cca8
        fffffffe 87892b24 87782cf4 80092858 848bbd00 87974200 874351e8 00000000
        8767124c 874351e8 87401f20 c1317ea0 00000004 87430cd4 8740f8f4 80092a20
        848bbd00 800925c4 00200200 8767124c 87400170 87782cf4 87430cd4 87407e48
        87401f20 c131741c 848bbd70 848bbe68 8740f7fc 848bbd70 00000001 8009b7b4
        ...
Call Trace:
[<8009cc08>] find_inode_fast+0x54/0x80
[<8009cca8>] iunique+0x74/0xa4
[<c1317ea0>] mini_fo_tri_interpose+0xf0/0x3e8 [mini_fo]
[<c131741c>] mini_fo_lookup+0x470/0xa54 [mini_fo]
[<80092634>] do_lookup+0xe0/0x1e4
[<80093cd8>] __link_path_walk+0x324/0xe38
[<80094a7c>] path_walk+0x80/0x11c
[<80094d28>] do_path_lookup+0x1a4/0x1dc
[<800959b8>] path_lookup_open+0x54/0xac
[<80095ab0>] do_filp_open+0xa0/0x84c
[<80088578>] do_sys_open+0x6c/0x138
[<8001d504>] stack_done+0x20/0x3c


Code: 00602021  10800008  00001021 <8c830000> cc600000  8c870020  14e6fff9  00801021  080272f3
Segmentation fault

It happens for me, too. No matter if I choose RAM or JFFS2 as mini_fo storage.

comment:2 Geändert vor 7 Jahren durch oliver

In [7540]:

comment:3 Geändert vor 7 Jahren durch oliver

In [7571]:

[freetz-stable-1.2]: Merge in r7534, r7540, r7543, r7553:7554, r7558, r7562:7563, r7567, r7570 from trunk (refs #1396):


r7534 | cuma | 2011-08-26 05:31:31 +0200 (Fr, 26. Aug 2011) | 1 Zeile
external: skip stopping during shutdown (speed up), rc.mod stops all packages


r7540 | oliver | 2011-08-27 10:59:27 +0200 (Sa, 27. Aug 2011) | 3 Zeilen


r7543 | er13 | 2011-08-27 19:48:19 +0200 (Sa, 27. Aug 2011) | 11 Zeilen
gcc-4.4.x:

  • revise pr42980_backport.patch, split it into two separate patches (for better comprehensibility)

gcc-4.5.x/4.6.x:

  • add pr42980_backport.patch'es
  • expected to fix some parallel build problems reported on IRC

p.s. pr42980 is still not closed (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42980)


r7553 | er13 | 2011-08-28 23:59:21 +0200 (So, 28. Aug 2011) | 4 Zeilen
makefiles:

  • introduce a new helper function qstrip
  • use it to eliminate some code clones

r7554 | er13 | 2011-08-29 00:35:22 +0200 (Mo, 29. Aug 2011) | 4 Zeilen
build system:

  • abort build process with an error if user defined compiler flags (menuconfig:Advanced options/Toolchain options/Target compiler flags) contain CPU/arch related flags, these are automatically set by freetz build environment
  • refs #1465

r7558 | oliver | 2011-08-29 23:38:19 +0200 (Mo, 29. Aug 2011) | 1 Zeile

  • siproxd: Register as daemon

r7562 | er13 | 2011-08-31 00:20:30 +0200 (Mi, 31. Aug 2011) | 4 Zeilen
siproxd:


r7563 | er13 | 2011-08-31 01:30:18 +0200 (Mi, 31. Aug 2011) | 3 Zeilen
siproxd:

  • bump version to 0.8.1 (untested)

r7567 | er13 | 2011-09-01 23:07:42 +0200 (Do, 01. Sep 2011) | 4 Zeilen
tor:

  • bump version to 0.2.2.32 (by make)
  • fixes #1481

r7570 | buehmann | 2011-09-03 11:29:11 +0200 (Sa, 03. Sep 2011) | 4 Zeilen
callmonitor-1.19.2

The default "start type" has changed to "no". You may have to re-enable Callmonitor.


comment:4 Geändert vor 6 Jahren durch cuma

Mit der aktuellen 05.20?

comment:5 Geändert vor 6 Jahren durch markuschen

Hab kein Mini, kann leider nicht helfen.

comment:6 Geändert vor 6 Jahren durch oliver

Ich hab auch kein Mini. :-)

Registering mini_fo version $Id$
mini_fo: using base directory: /
mini_fo: using storage directory: /sto/mini_fo
CPU 0 Unable to handle kernel paging request at virtual address 00000000, epc == 87a87068, ra == 87a87058
Oops[#1]:
Cpu 0
$ 0   : 00000000 0000002f 00000000 00000001
$ 4   : 8045b498 811221dc 0000001a 87a1dc00
$ 8   : 0000002f 00000000 00000001 00000002
$12   : 7f924b78 00490048 0000003d 004380f8
$16   : 87400178 87894b5c 87894b5c 8740c1b4
$20   : 87407e48 87a5d000 87a5d000 00000000
$24   : 00000018 800b3600
$28   : 87a60000 87a63da8 7f924b88 87a87058
Hi    : 000000a5
Lo    : 60941000
epc   : 87a87068 mini_fo_tri_interpose+0x114/0x3ec [mini_fo]
    Not tainted
ra    : 87a87058 mini_fo_tri_interpose+0x104/0x3ec [mini_fo]
Status: 1100fc03    KERNEL EXL IE
Cause : 00800008
BadVA : 00000000
PrId  : 0001964c (MIPS 24Kc)
Modules linked in: mini_fo
Process busybox (pid: 33, threadinfo=87a60000, task=878ee4c0, tls=00000000)
Stack : 00000000 87a63df8 800acbe0 800c5530 87a1dc00 87a5a000 87a5a000 87a1dc00
        00000000 87401d14 800acbe0 8740c1b4 87a5d000 87a87544 00000000 00000000
        87a5f000 000000d0 00000000 8058b750 00000000 00000001 87a8bb58 87a87340
        00008000 87a1dc00 87a5a000 87a87340 87a5a000 800b365c 000000d0 00000000
        800b2fa0 87a63eb8 87a8fcf0 87a8fcf0 8780ce20 87a5f000 00008000 800b2d60
        ...
Call Trace:
[<87a87068>] mini_fo_tri_interpose+0x114/0x3ec [mini_fo]
[<87a87544>] mini_fo_read_super+0x204/0x2b8 [mini_fo]
[<800b365c>] get_sb_nodev+0x5c/0xe0
[<800b2d60>] vfs_kern_mount+0x60/0x100
[<800b2e94>] do_kern_mount+0x54/0x160
[<800cdba4>] do_mount+0x404/0x800
[<800ce034>] sys_mount+0x94/0x100
[<80012b84>] stack_done+0x20/0x3c


Code: 106000af  00408021  8e020118 <8c420000> 10400005  3c028045  3c0487a9  8c4270cc  0040f809
Segmentation fault
*** mini_fo mount failed, exiting. ***
rmmod: can't unload 'mini_fo': Resource temporarily unavailable
*** Switching to init ... ***
init started: BusyBox v1.19.4 (2012-03-22 21:55:2

comment:7 Geändert vor 6 Jahren durch oliver

In [8863]:

7390 kernel: Fix mini_fo stack trace on startup

  • Activate the following options
  • CONFIG_PROFILING
  • CONFIG_FUSIV_USB_OPTIMIZATION

refs #1471, #1576

comment:8 Geändert vor 6 Jahren durch cuma

  • Lösung auf fixed gesetzt
  • Status von new nach closed geändert

comment:9 Geändert vor 6 Jahren durch oliver

Ich habe auf der 7390 jetzt ein anderes Problem mit mini_fo, das damit zu tun hat wo diese AVM dot-files angelegt werden. Die scheinen immer im ersten gemounteten tmpfs angelegt zu werden. Und bei mini_fo ist das nicht /var. (Als Workaround könnte man im mini-fo Startskript ein tmpfs nach /var mounten)

comment:10 Geändert vor 6 Jahren durch cuma

  • Lösung fixed gelöscht
  • Status von closed nach reopened geändert

comment:11 Geändert vor 6 Jahren durch cuma

oliver: Funktioniert das mit dem Mountebefehl und kannst du den committen?

comment:12 Geändert vor 6 Jahren durch cuma

In 9613:

mini_fo: moved to unstable (refs #1471)

comment:13 Geändert vor 6 Jahren durch cuma

  • Meilenstein von freetz-1.3 nach freetz-future geändert

Da ich dieses Paket noch nie genutzt hab

  • weiss ich nicht wie man es reparieren könnte
  • und kann es kein Blocker sein :)

comment:14 Geändert vor 5 Jahren durch oliver

Mit 05.50 gibt es Crashs des upnpd. Sowohl mit ram als auch jffs2 als storage. Und das auch, wenn die dot-files an der scheinbar richtigen Stelle liegen…

root@fritz:/var/mod/root# ls -al /var
drwxr-xr-x   18 root     root          1020 Jan  1 01:01 .
drwxr-xr-x    2 root     root            40 Apr 28  2013 ..
-rw-r--r--    1 root     root           404 Jan  1 01:00 .CRWWLANMAP
-rw-r--r--    1 root     root          2184 Jan  1 01:00 .SHMUSBDEVICES
-rw-r--r--    1 root     root         72000 Jan  1 01:00 .dsld_statsimple
-rw-r--r--    1 root     root            53 Jan  1 01:00 .igdd-del-portmap
-rw-r--r--    1 root     root           192 Jan  1 01:00 .inetstat
-rw-r--r--    1 root     root        211180 Jan  1 01:00 .voipd_statsimple
...
...
rc.mod version freetz-devel-10439_10441M
Jan  1 01:00:56 upnpd[834]: BUG slabuser: slab_free(2adaeae0): not allocated (upnp.c:2331) (last free http://fritz.box:717889536)
Jan  1 01:00:56 upnpd[834]: [bt] of upnpd[834]:
Jan  1 01:00:56 upnpd[834]: [bt]  2ac76e34 bugmsg+0x30 (/lib/libavmcsock.so.2 at 00044e04)
Jan  1 01:00:56 upnpd[834]: [bt]  2adedbb4 [2adedb90] <0+0x2adedb90>+0x24 (/lib/libavmcsock.so.2 at 00010b90)
Jan  1 01:00:56 upnpd[834]: [bt]  2ac3f124 [2ac3f0a8] <0+0x2ac3f0a8>+0x7c (/lib/libavmcsock.so.2 at 0000d0a8)
Jan  1 01:00:56 upnpd[834]: [bt]  2ac401b8 [2ac40148] <0+0x2ac40148>+0x70 (/lib/libavmcsock.so.2 at 0000e148)
Jan  1 01:00:56 upnpd[834]: [bt]  2ac42030 slab_free_wheredebug+0x50 (/lib/libavmcsock.so.2 at 0000ffe0)
Jan  1 01:00:56 upnpd[834]: [bt]  2abe477c [2abe46bc] <0+0x2abe46bc>+0xc0 (/lib/libavmupnp.so.2 at 000146bc)
Jan  1 01:00:56 upnpd[834]: [bt]  2abe7ae8 [2abe773c] <0+0x2abe773c>+0x3ac (/lib/libavmupnp.so.2 at 0001773c)
Jan  1 01:00:56 upnpd[834]: [bt]  2abf0e4c start_upnpapi_low_device+0x168 (/lib/libavmupnp.so.2 at 00020ce4)
Jan  1 01:00:56 upnpd[834]: [bt]  2abf356c [2abf34e0] <0+0x2abf34e0>+0x8c (/lib/libavmupnp.so.2 at 000234e0)
Jan  1 01:00:56 upnpd[834]: [bt]  2adbd040 [2adbcdda] <init_upnp_plugin+0xe>+0x266 (/lib/libmediasrv.so at 00003dda)
Jan  1 01:00:56 upnpd[834]: [bt]  2abf3c78 start_upnp_plugins+0x120 (/lib/libavmupnp.so.2 at 00023b58)
Jan  1 01:00:56 upnpd[834]: [bt]  00402e34 main+0x4d8 (upnpd at 0000295c)
Jan  1 01:00:56 upnpd[834]: /var/flash/crash.log opened
Jan  1 01:00:56 upnpd[834]: 1970-01-01 01:00:56 upnpd(834) Assertion `0' failed (slabuser.c:262 userbug)
Jan  1 01:00:56 upnpd[834]: Version: 05.50
Jan  1 01:00:56 upnpd[834]: Last bugmsg at 1970-01-01 01:00:56:
Jan  1 01:00:56 upnpd[834]: > BUG slabuser: slab_free(2adaeae0): not allocated (upnp.c:2331) (last free http://fritz.box:717889536)
...

comment:15 Geändert vor 5 Jahren durch cuma

Also upnpd entfernen?

Hinweis: Hilfe zur Verwendung von Tickets finden Sie in TracTickets.